Package org.italiangrid.voms.request.impl

# Class RESTVOMSResponseParsingStrategy

java.lang.Object
org.italiangrid.voms.request.impl.RESTVOMSResponseParsingStrategy

All Implemented Interfaces:
  `VOMSResponseParsingStrategy`

public class RESTVOMSResponseParsingStrategy extends Object implements VOMSResponseParsingStrategy
Strategy for parsing a response coming from a RESTFul VOMS.

Author:
  valerioventuri

## Constructor Summary

Constructors
Constructor
Description
`RESTVOMSResponseParsingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`VOMSResponse`
`parse(InputStream inputStream)`
Parse a response coming from a RESTFul VOMS service and builds a `VOMSResponse` object representing the response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RESTVOMSResponseParsingStrategy

public RESTVOMSResponseParsingStrategy()

## Method Details

### parse

public VOMSResponse parse(InputStream inputStream)
Parse a response coming from a RESTFul VOMS service and builds a `VOMSResponse` object representing the response.

Specified by:
  `parse` in interface `VOMSResponseParsingStrategy`
Parameters:
  `inputStream` - the response coming from the service
Returns:
  a `VOMSResponse` object representing the response.